Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Tristan Heaven (nyhm)" <nyhm@g.o>
Subject: gentoo-x86 commit in media-gfx/optipng: ChangeLog metadata.xml optipng-0.5.5.ebuild optipng-0.4.8-r1.ebuild
Date: Thu, 31 Jan 2008 18:07:46 +0000
nyhm        08/01/31 18:07:46

  Modified:             ChangeLog metadata.xml optipng-0.5.5.ebuild
  Removed:              optipng-0.4.8-r1.ebuild
  Log:
  Cleanup
  (Portage version: 2.1.4)

Revision  Changes    Path
1.34                 media-gfx/optipng/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/ChangeLog?rev=1.34&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/ChangeLog?rev=1.34&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/ChangeLog?r1=1.33&r2=1.34

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/optipng/ChangeLog,v
retrieving revision 1.33
retrieving revision 1.34
diff -u -r1.33 -r1.34
--- ChangeLog	25 Dec 2007 16:00:46 -0000	1.33
+++ ChangeLog	31 Jan 2008 18:07:45 -0000	1.34
@@ -1,6 +1,11 @@
 # ChangeLog for media-gfx/optipng
-# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/optipng/ChangeLog,v 1.33 2007/12/25 16:00:46 phreak Exp $
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/optipng/ChangeLog,v 1.34 2008/01/31 18:07:45 nyhm Exp $
+
+  31 Jan 2008; Tristan Heaven <nyhm@g.o>
+  -files/optipng-zlib-security.diff, metadata.xml, -optipng-0.4.8-r1.ebuild,
+  optipng-0.5.5.ebuild:
+  Cleanup
 
   25 Dec 2007; Christian Heim <phreak@g.o> metadata.xml:
   Removing taviso from metadata.xml as per #202471. Assigning to



1.3                  media-gfx/optipng/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/metadata.xml?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/metadata.xml?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/metadata.xml?r1=1.2&r2=1.3

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/optipng/metadata.xml,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- metadata.xml	25 Dec 2007 16:00:46 -0000	1.2
+++ metadata.xml	31 Jan 2008 18:07:45 -0000	1.3
@@ -3,10 +3,7 @@
 <pkgmetadata>
 	<herd>no-herd</herd>
 	<maintainer>
-		<email>maintainer-needed@g.o</email>
+		<email>nyhm@g.o</email>
+		<name>Tristan Heaven</name>
 	</maintainer>
-	<longdescription lang="en">
-		OptiPNG is a PNG optimizer that recompresses the image files to a
-		smaller size, without losing any information.
-	</longdescription>
 </pkgmetadata>



1.2                  media-gfx/optipng/optipng-0.5.5.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/optipng-0.5.5.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/optipng-0.5.5.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-gfx/optipng/optipng-0.5.5.ebuild?r1=1.1&r2=1.2

Index: optipng-0.5.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-gfx/optipng/optipng-0.5.5.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- optipng-0.5.5.ebuild	10 Jul 2007 23:47:40 -0000	1.1
+++ optipng-0.5.5.ebuild	31 Jan 2008 18:07:45 -0000	1.2
@@ -1,34 +1,35 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-gfx/optipng/optipng-0.5.5.ebuild,v 1.1 2007/07/10 23:47:40 taviso Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/optipng/optipng-0.5.5.ebuild,v 1.2 2008/01/31 18:07:45 nyhm Exp $
 
-inherit eutils
-
-DESCRIPTION="Find the optimal compression settings for your png files"
-SRC_URI="mirror://sourceforge/optipng/${P}.tar.gz"
+DESCRIPTION="Compress PNG files without affecting image quality"
 HOMEPAGE="http://optipng.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
 
-LICENSE="as-is"
-
+LICENSE="ZLIB"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~ppc ~x86"
 IUSE=""
 
-DEPEND="virtual/libc"
-
 src_unpack() {
 	unpack ${A}
-	sed -i -e 's!-O2!${CFLAGS}!' ${S}/src/scripts/gcc.mak
+	cd "${S}"
+	sed -i \
+		-e "s:-O2:${CFLAGS}:" \
+		-e "s:-s:${LDFLAGS}:" \
+		src/scripts/gcc.mak \
+		lib/libpng/scripts/makefile.gcc \
+		lib/pngxtern/scripts/gcc.mak \
+		|| die "sed failed"
 }
 
 src_compile() {
-	emake -C ${S}/src -f ${S}/src/scripts/gcc.mak optipng \
-		CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
+	emake -C src -f scripts/gcc.mak || die "emake failed"
 }
 
 src_install() {
-	dobin ${S}/src/optipng
-	dodoc ${S}/doc/{CAVEAT.txt,HISTORY.txt,TODO.txt,USAGE.txt}
-	dohtml ${S}/doc/{design.html,features.html,guide.html,thanks.html}
-	doman ${S}/man/optipng.1
+	dobin src/optipng || die "dobin failed"
+	dodoc README.txt doc/*.txt
+	dohtml doc/*.html
+	doman man/optipng.1
 }



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in x11-plugins/wmauda: ChangeLog wmauda-0.3.ebuild
Next by thread:
gentoo-x86 commit in media-gfx/optipng/files: optipng-zlib-security.diff
Previous by date:
gentoo-x86 commit in x11-plugins/wmauda: ChangeLog wmauda-0.3.ebuild
Next by date:
gentoo-x86 commit in media-gfx/optipng/files: optipng-zlib-security.diff


Updated May 09, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.